gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecInt

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for integer properties.

Synopsis

- newtype ParamSpecInt = ParamSpecInt (ManagedPtr ParamSpecInt)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt o) => IsParamSpecInt o
- toParamSpecInt :: (MonadIO m, IsParamSpecInt o) => o -> m ParamSpecInt

# Exported types

newtype ParamSpecInt Source #

Memory-managed wrapper type.

Constructors

ParamSpecInt (ManagedPtr ParamSpecInt) |

#### Instances

Instances details

Eq ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt Methods (==) :: ParamSpecInt -> ParamSpecInt -> Bool Source # (/=) :: ParamSpecInt -> ParamSpecInt -> Bool Source #
BoxedPtr ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt Methods boxedPtrCopy :: ParamSpecInt -> IO ParamSpecInt Source # boxedPtrFree :: ParamSpecInt -> IO () Source #
ManagedPtrNewtype ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt Methods toManagedPtr :: ParamSpecInt -> ManagedPtr ParamSpecInt Source #
TypedObject ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt Methods glibType :: IO GType Source #
HasParentTypes ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt
type ParentTypes ParamSpecInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt type ParentTypes ParamSpecInt = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt o) => IsParamSpecInt o Source #

Type class for types which can be safely cast to `ParamSpecInt`, for instance with `toParamSpecInt`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt o) => IsParamSpecInt o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt

toParamSpecInt :: (MonadIO m, IsParamSpecInt o) => o -> m ParamSpecInt Source #

Cast to `ParamSpecInt`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.